package com.ygtx.gxt.domain;

import com.ygtx.common.core.domain.BaseEntity;

/**
 * 月度工分日志对象 gxt_month_score_log
 * 
 * @author ruoyi
 * @date 2025-11-13
 */
public class GxtMonthScoreLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 月度工分汇总ID */
    private Long monthScoreId;

    /** 操作人ID */
    private Long operator;

    /** 前一步骤状态 */
    private Integer previousStatus;

    /** 当前状态 */
    private Integer presentStatus;

    /** 统计月份 */
    private String monthPeriod;

    /** 统计部门ID */
    private Long deptId;

    /** 状态 */
    private Integer status;

    /** 说明 */
    private String explainCode;

    /** 反馈内容 */
    private String feedbackContent;

    /** 反馈通过状态 */
    private Integer feedbackStatus;

    /** 备注 */
    private String remark;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMonthScoreId(Long monthScoreId) 
    {
        this.monthScoreId = monthScoreId;
    }

    public Long getMonthScoreId() 
    {
        return monthScoreId;
    }
    public void setOperator(Long operator) 
    {
        this.operator = operator;
    }

    public Long getOperator() 
    {
        return operator;
    }
    public void setPreviousStatus(Integer previousStatus) 
    {
        this.previousStatus = previousStatus;
    }

    public Integer getPreviousStatus() 
    {
        return previousStatus;
    }
    public void setPresentStatus(Integer presentStatus) 
    {
        this.presentStatus = presentStatus;
    }

    public Integer getPresentStatus() 
    {
        return presentStatus;
    }
    public void setMonthPeriod(String monthPeriod) 
    {
        this.monthPeriod = monthPeriod;
    }

    public String getMonthPeriod() 
    {
        return monthPeriod;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setExplainCode(String explainCode)
    {
        this.explainCode = explainCode;
    }

    public String getExplainCode()
    {
        return explainCode;
    }
    public void setFeedbackContent(String feedbackContent) 
    {
        this.feedbackContent = feedbackContent;
    }

    public String getFeedbackContent() 
    {
        return feedbackContent;
    }
    public void setFeedbackStatus(Integer feedbackStatus) 
    {
        this.feedbackStatus = feedbackStatus;
    }

    public Integer getFeedbackStatus() 
    {
        return feedbackStatus;
    }
    public void setRemark(String remark) 
    {
        this.remark = remark;
    }

    public String getRemark() 
    {
        return remark;
    }
}